<?php

namespace system\entity\marketplace;

use system\entity\entityclass;


class MarketplacePrice extends EntityClass
{

    public const tableName = 'oc_marketplace_price';

    /**
     * @var null
     */
    protected $marketplace_price_id;

    /**
     * @var integer
     */
    public $customer_group_id;

    /**
     * @var string
     */
    public $title;

    /**
     * @var integer
     */
    public $standard;

    /**
     * @var integer
     */
    public $tipo_integracao;

    /**
     * @var null
     */
    protected $marketplace_price_md5;

    /**
     * @var array
     */
    private $marketplace_price_adjustments = [];

    /**
     * @return int
     */
    public function getTableId()
    {
        return $this->getMarketplacePriceId();
    }

    /**
     * @return null
     */
    public function getMarketplacePriceId()
    {
        return $this->marketplace_price_id;
    }

    /**
     * @param null $marketplace_price_id
     */
    public function setMarketplacePriceId($marketplace_price_id): void
    {
        $this->marketplace_price_id = $marketplace_price_id;
    }

    /**
     * @return mixed
     */
    public function getCustomerGroupId()
    {
        return $this->customer_group_id;
    }

    /**
     * @param mixed $customer_group_id
     */
    public function setCustomerGroupId($customer_group_id): void
    {
        $this->customer_group_id = $customer_group_id;
    }

    /**
     * @return string
     */
    public function getTitle(): string
    {
        return $this->title;
    }

    /**
     * @param string $title
     */
    public function setTitle(string $title): void
    {
        $this->title = $title;
    }

    /**
     * @return int
     */
    public function getStandard(): int
    {
        return $this->standard;
    }

    /**
     * @param int $standard
     */
    public function setStandard(int $standard): void
    {
        $this->standard = $standard;
    }

    /**
     * @return int
     */
    public function getTipoIntegracao(): int
    {
        return $this->tipo_integracao;
    }

    /**
     * @param int $tipo_integracao
     */
    public function setTipoIntegracao(int $tipo_integracao): void
    {
        $this->tipo_integracao = $tipo_integracao;
    }

    /**
     * @return null
     */
    public function getMarketplacePriceMd5()
    {
        return $this->marketplace_price_md5;
    }

    /**
     * @param null $marketplace_price_md5
     */
    public function setMarketplacePriceMd5($marketplace_price_md5): void
    {
        $this->marketplace_price_md5 = $marketplace_price_md5;
    }

    /**
     * @return array
     */
    public function getMarketplacePriceAdjustments(): array
    {
        return $this->marketplace_price_adjustments;
    }

    /**
     * @param array $marketplace_price_adjustments
     */
    public function setMarketplacePriceAdjustments(array $marketplace_price_adjustments): void
    {
        $this->marketplace_price_adjustments = $marketplace_price_adjustments;
    }


    public function getMarketplacePriceMd5Array()
    {
        return [
          $this->getCustomerGroupId(),
          $this->getTitle(),
          $this->getTipoIntegracao(),
          $this->getStandard()
        ];
    }

}